<div style="margin-left: 12vw">
  <app-navbar icon="fa fa-user" text="Customers"></app-navbar>
  <nav class="nav">
    <a class="nav-link c-p active" (click)="view='card'"><span><i class="fa fa-th-large" aria-hidden="true"></i></span>
      Card View</a>
    <a class="nav-link c-p" (click)="view='list'"><span><i class="fa fa-bars" aria-hidden="true"></i></span> List
      View</a>
    <a class="nav-link c-p" (click)="view='map'"><span><i class="fa fa-map-marker" aria-hidden="true"></i></span> Map
      View</a>
    <a class="nav-link c-p" (click)="view='new'"><span><i class="fa fa-plus" aria-hidden="true"></i></span> New
      Customer</a>
    <form style="margin-left: 18vw;">
      <div>
        <label for="filter">Filter: </label>
        <div><input type="text" class="form-control-sm mr-sm-2" id="filter"></div>
      </div>
    </form>
  </nav>
  <app-card-view [customers]="customers" *ngIf="view==='card'"></app-card-view>
  <app-map-view [customers]="customers" *ngIf="view==='map'"></app-map-view>
</div>
